Go to the first, previous, next, last section, table of contents.

### `nmono`

`nmono(rat)`
  :: Number of monomials in rational expression rat.

return
  non-negative integer
rat
  rational expression

- Number of monomials with non-zero number coefficients in the full expanded form of the given polynomial.
- For a rational expression, the sum of the numbers of monomials of the numerator and denominator.
- A function form is regarded as a single indeterminate no matter how complex arguments it has.

    [0] nmono((x+y)^10);
    11
    [1] nmono((x+y)^10/(x+z)^10);
    22
    [2] nmono(sin((x+y)^10));
    1

`References`
  section `vtype`.

Go to the first, previous, next, last section, table of contents.